package com.zhyc.module.feed.mapper;

import java.util.List;
import com.zhyc.module.feed.domain.SgMaterial;
import org.apache.ibatis.annotations.Mapper;

/**
 * 原料Mapper接口
 * 
 * @author HashMap
 * @date 2026-01-16
 */
@Mapper
public interface SgMaterialMapper 
{
    /**
     * 查询原料
     * 
     * @param materialId 原料主键
     * @return 原料
     */
    public SgMaterial selectSgMaterialByMaterialId(String materialId);

    /**
     * 查询原料列表
     * 
     * @param sgMaterial 原料
     * @return 原料集合
     */
    public List<SgMaterial> selectSgMaterialList(SgMaterial sgMaterial);

    /**
     * 新增原料
     * 
     * @param sgMaterial 原料
     * @return 结果
     */
    public int insertSgMaterial(SgMaterial sgMaterial);

    /**
     * 修改原料
     * 
     * @param sgMaterial 原料
     * @return 结果
     */
    public int updateSgMaterial(SgMaterial sgMaterial);

    /**
     * 删除原料
     * 
     * @param materialId 原料主键
     * @return 结果
     */
    public int deleteSgMaterialByMaterialId(String materialId);

    /**
     * 批量删除原料
     * 
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSgMaterialByMaterialIds(String[] materialIds);
}
